// -*- C++ -*-
/*!
 * @file  ImageDataConvert.h
 * @brief ImageDataConvert
 * @date  $Date$
 *
 * $Id$
 */

#ifndef IMAGEDATACONVERT_H
#define IMAGEDATACONVERT_H

#include <string>
#include <rtm/idl/InterfaceDataTypesSkel.h>
#include "InterfaceDataTypesStub.h"
#include <opencv2/opencv.hpp>


/**
*@brief CameraImage型から画像データを取得
* @param ci CameraImage型の画像データ
* @return cv::Matの画像データ
*/
cv::Mat GetMatImage(RTC::CameraImage ci);

/**
*@brief IplImageの画像データをCameraImage型のデータに設定
* @param ci CameraImage型のデータ
* @param im cv::Matの画像データ
* @param strencode 圧縮形式(offは圧縮なし、jpegはinteractive jpeg圧縮)
* @param quality 圧縮率(pngは0～10、jpegは0～100)
*/
void SetCameraImage(RTC::CameraImage& ci, cv::Mat im, std::string strencode = "off", int quality = 90);


#endif
